<div class="content">

    <h2>Sala {{this.game.room}}</h2>
    <div *ngIf="this.game.game.participants.length > 1 && this.game.game.creator == this.game.user_id">
        <mat-form-field appearance="fill">
          <mat-label>Tipo de jogo</mat-label>
          <select matNativeControl required [(ngModel)]="selectedItem">
            <option value="animal">Animal</option>
            <option value="profession">Profissão</option>
            <option value="food">Comida</option>
          </select>
        </mat-form-field>
    </div>
      <p *ngIf="this.game.game.participants.length > 1 && this.game.game.creator == this.game.user_id">
        <br>
        <button mat-raised-button color="primary" (click)='iniciarJogo()'>Iniciar</button>
      </p>
    <p *ngIf="!this.game.game">
      <span>Aguardando outros jogadores...</span>
    </p>
    <p *ngIf="this.game.game && this.game.game.creator != this.game.user_id">
      <span>Aguardando mestre iniciar...</span>
    </p>
    <div *ngIf="this.game.game">
      <h2>Players:</h2>
      <p *ngFor="let player of this.game.game.participants">{{player}}</p>
    </div>
    <p>
      <img width="300" src="/assets/nao-desista.jpg">
    </p>
    <p>
      <button mat-raised-button color="warn" (click)='sair()'>Sair</button>
    </p>
</div>
